Subject: Re: [Monami6] De-Registration BU in MCoA draft

From: Keigo Aso <[email-masked]>
Date: Tue, 02 May 2006 09:55:33 +0900

Hi Gabor,

Thank you for your clarification.
My comments inline.
On Fri, 28 Apr 2006 10:00:07 +0300
Gabor Fekete <[email-masked]> wrote:

> Hi Keigo and list,
> 
> On Friday 28 April 2006 07:42, Keigo Aso wrote:
> > Hello,
> >
> > I have question about de-registration BU.
> >
> > In section 5.5 "Using Alternate Care-of Address",
> >    "In these cases, the mobile node sends a Binding Update with both
> >    Alternate Care-of Address sub-option and Binding Unique Identifier
> >    sub-option. "
> >
> > Does the De-Registration Binding Update have to contain
> > Care-of Address to indicate the address which will be deleted
> > by using Alternate Care-of Address sub-option or Source Address ?
> > Containing both BID sub-option and "specified Care-of Address"
> > in De-Registartion BU seems to be redundant.
> >
> 
> I agree. Actually section 5.3 "Sending De-Registration Binding Update" says
>   "other hand, if the mobile node wants to remove multiple Care-of
>    Addresses at once, it stores multiple Unique Binding Identifier sub-
>    options and Alternate Care-of Address sub-options in a Binding
>    Update.  The Care-of Addresses stored in the Alternate Care-of
>    Address sub-options will be all removed."
> 
> It is not clear why the AltCoAs are needed. And it misses to mention wether
> the B-flag must be set or not in this case (I guess yes).
> And since two different BIDs may correspond to the same CoA, the last sentence
> in section 5.3 is a bit misleading. For me it tells that
> if the AltCoA contains CoA-A then every binding having CoA-A will be removed
> no matter what their BIDs are.
> So it is not clear whether a de-reg BU says "de-register this BID" or
> "de-register this CoA".
> 
> Plus RFC3775 says that for de-reg the HoA must be equal to the CoA or the
> lifetime be zero. And in this regard the de-reg in the multiplecoa draft is
> a bit inconsistent with RFC3775.
I agree with that there is inconsistent.
In case that de-reg BU is indicated by that "the specified care-of
Address matches the home address", AltCoA sub-option can not contain 
the Care-of Address. 
OTOH, in case that de-reg BU is indicated by that lifetime is zero, 
AltCoA sub-option may contain the Care-of Address. But RFC3775 HA does
not use this address in order to identify the entry which will be deleted.
So, if BID is sufficient for identifying the binding, I think de-reg BU
may not need AltCoA sub-option in case of using lifetime is zero. 
Actually in MCoA draft with regard to BU for updating the existing
entry, only BID is used to identify the entry which will be updated.

Regards,
Keigo

> 
> Regards,
> Gabor
> 
> _______________________________________________
> Monami6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/monami6

_______________________________________________
Monami6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/monami6